function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018-2023 F. Cuvelier
%
  S=struct('name','fc-bench', 'tag','0.1.3','commit','0639dde1dee68427af4dab19f75b1c58dacf64a4','date', '2023-03-02','time','09-35-44','status',0);return; % automatically updated
  rep=fc_bench.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-bench','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
