function varargout=alldemos(varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('stop',true,@islogical);
  p.addParamValue('small',true,@islogical);
  p.addParamValue('save',false,@islogical);
  p.addParamValue('savedir','./figures',@ischar);
  p.addParamValue('pause',2,@isscalar);
  p.addParamValue('distribute',true,@islogical);
  p.addParamValue('monitor',1,@isscalar);
  p.parse(varargin{:});
  R=p.Results;
  
  SaveOptions={'format','png', 'dir',R.savedir,'tag',true,'verbose',true};

  List={'plotmesh2D','plotmesh3D','plotmesh3Ds', ...
        'plot2D','plot3D','plot3Ds', ...
        'plotiso2D','plotiso3D','plotiso3Ds', ...
        'slice3D','slicemesh3D','sliceiso3D', ...
        'plotquiver2D','plotquiver3D','plotquiver3Ds', ...
        'plotnodes2D','plotnodes3D','plotnodes3Ds', ...
        'plotnodesidx2D','plotnodesidx3D','plotnodesidx3Ds', ...
        'plotelementsidx2D','plotelementsidx3D','plotelementsidx3Ds', ...
        'scatter2D','scatter3D','scatter3Ds', ...
        'plotGradBaCo2D','plotGradBaCo3D','plotGradBaCo3Ds'};
  if R.small,List={List{[1:3:length(List)]}};end      
  if ~exist(R.savedir,'dir') && R.save
    [success,message,messageid]=mkdir(R.savedir);
    if ~success,error(message);end
  end
  
  if R.distribute
    fun_distribute=@() fc_tools.graphics.monitors.autoGrid('monitor',R.monitor);
  end
      
  nL=length(List);
  valid=ones(1,nL);
  for i=1:nL
    close all
    command=sprintf('fc_graphics4mesh.demos.%s(false)',List{i});
    fprintf('[fc-graphics4mesh] Running %s\n',command)
    try 
      eval(command)
    catch ME
      valid(i)=0;
      if R.stop
        error('[fc-graphics4mesh] Stop! running %s FAILED!\n            -> file: %s (line %d):\n            -> %s\n',command,ME.stack(1).name,ME.stack(1).line,ME.message)
      else
        fprintf('[fc-graphics4mesh] Running %s FAILED!\n',command)
        fprintf('            -> file: %s (line %d):\n            -> %s\n',ME.stack(1).name,ME.stack(1).line,ME.message);        
      end
    end
    if R.distribute
      fc_tools.graphics.monitors.autoGrid('monitor',R.monitor);
      pause(R.pause)
    end
    if p.Results.save
      fc_tools.graphics.SaveAllFigsAsFiles(List{i},SaveOptions{:})
    end
  end
  if nargout==1,varargout{1}=valid;end
end
