function scatter3D(distribute)
  if nargin==0, distribute=true;end
  close all  % :start:
  u=@(x,y,z) cos(x).*sin(y+z);
  small=~fc_tools.comp.isOctave();
  [q3,me3,toGlobal3]=fc_meshtools.simplicial.getMeshArrays('3D',3);
  U3=fc_meshtools.eval(u,q3);
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMeshArrays('3D',2);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('3D',1);
  
  figure(1)
  fc_graphics4mesh.scatter(q3,U3,'MarkerEdgeAlpha',0.3)
  view(3);axis image;axis off
  colorbar
  
  figure(2)
  fc_graphics4mesh.scatter(q2,U3(toGlobal2)) 
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black','LineWidth',2)
  view(3);axis image;axis off
  caxis([min(U3),max(U3)])
  colorbar

  figure(3)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','LightGray','FaceColor','None', 'EdgeAlpha',0.2)
  hold on
  fc_graphics4mesh.scatter(q1,U3(toGlobal1),'MarkerFaceColor','flat', 'MarkerSize',8)
  view(3);axis image;axis off
  caxis([min(U3),max(U3)])
  colorbar
  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
