function scatter3Ds(distribute)
  if nargin==0, distribute=true;end
  close all  % :start:
  u=@(x,y,z) cos(x).*cos(y).*cos(z);
  small=~fc_tools.comp.isOctave();
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMesh3Ds(2,false);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMesh3Ds(1,false);
  U2=fc_meshtools.eval(u,q2);
  U1=fc_meshtools.eval(u,q1);
  figure(1)
  fc_graphics4mesh.scatter(q2,U2,'Marker','.','MarkerSize',20)
  view(3);axis image;axis off
  colorbar
  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','LightGray','FaceColor','none')
  hold on
  fc_graphics4mesh.scatter(q1,U1,'Marker','o','MarkerFaceColor','flat', 'MarkerSize',20)
  view(3);axis image;axis off
  caxis([min(U2),max(U2)])
  colorbar
  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
