function varargout=scatter(q,u,varargin)
  % fc_graphics4mesh.scatter(q,U,'MarkerSize',1)
  % 
  % BUG: With Octave, don't use "shading interp" command
  if fc_tools.comp.isOctave(), ForcePatch=true;else, ForcePatch=false;end
  dim=size(q,1);
  assert(ismember(dim,[2,3]),'q array must be 2-by-N or 3-by-N')
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('MarkerSize',1);
  p.addParamValue('ForcePatch',ForcePatch,@islogical); % Only for Matlab
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin=fc_tools.graphics.CheckAlpha(varargin,'fc-graphics4mesh',mfilename());
  U=fc_meshtools.eval(u,q);
  if ~fc_tools.comp.isOctave(), varargin={'MarkerEdgeColor','flat',varargin{:}};end

  if R.ForcePatch % scatter function in Octave si very slow, so I use patch
    me=[1:size(q,2)]';
    H=patch('Vertices',q','Faces',me,'CData',u','Marker','.','MarkerSize',R.MarkerSize, ... 
            'FaceColor','none','EdgeColor','none',varargin{:});
  else
    if dim==3
      H=scatter3(q(1,:),q(2,:),q(3,:),R.MarkerSize,U,varargin{:});
    else
      H=scatter(q(1,:),q(2,:),R.MarkerSize,U,varargin{:});
    end  
  end
          
  if nargout==1,varargout{1}=H;end
end

