function S=gitinfo()
% FUNCTION fc_hypermesh.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2016-2023 F. Cuvelier
%
  S=struct('name','fc-hypermesh', 'tag','1.0.4.b','commit','3ec06216dde6d376fcb766b085188b259986fe19','date', '2023-03-02','time','12-46-15','status',0);return; % automatically updated
  rep=fc_hypermesh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-hypermesh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
