function S=gitinfo()
% FUNCTION fc_meshtools.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018-2023 F. Cuvelier <cuvelier@math.univ-paris13.fr>
%
  S=struct('name','fc-meshtools', 'tag','0.1.4.b','commit','43f58ffcfa2ca359f2d948d156a8165274270376','date', '2023-03-02','time','15-23-05','status',0);return; % automatically updated
  rep=fc_meshtools.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-meshtools','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
