function varargout=gdemo(varargin)
  % Gh=fc_oogmsh.demos.gdemo('geofile','condenser','d',2,'MshFileVersion','4.1');
  % Gh=fc_oogmsh.demos.gdemo('geofile','cylinderkey','d',3,'graphic',true);
  % Gh=fc_oogmsh.demos.gdemo('geofile','demisphere4surf','d',2,'graphic',true);
  formats=fc_oogmsh.gmsh.getMSHfile_formats();
  p = inputParser;
  p.addParameter('geofile','condenser',@ischar);
  p.addParameter('MshFileVersion','4.1',@(x) ismember(x,formats));
  p.addParameter('N',4,@isscalar);
  p.addParameter('d',2,@isscalar);
  p.addParameter('graphic',true,@islogical);
  %p.addParameter('verbose',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if R.graphic,close all;end
  fprintf('1. Building a mesh file by using :\n')
  fprintf('   -> gmsh version %s\n',fc_oogmsh.gmsh.version())
  fprintf('   -> geo file : %s\n',R.geofile);
  fprintf('   -> mesh file format : %s\n',R.MshFileVersion);
  meshfile=fc_oogmsh.gmsh.buildmesh(R.geofile,R.N,'d',R.d,'verbose',1,'force',true,'MshFileVersion',R.MshFileVersion);%,'verbose',4);
  fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
  fprintf('2. Reading mesh file\n')
  if strcmp(R.MshFileVersion,'2.2')
    Gh=fc_oogmsh.ooGmsh2(meshfile);
  else
    Gh=fc_oogmsh.ooGmsh4(meshfile);
  end
  fprintf('   -> Mesh file format: %s\n',Gh.MeshFormat.version);
  if R.graphic
    Gh.plotPhysicalElements()
    Gh.plotElementaryElements()
    fc_tools.graphics.monitors.autoGrid()
  end
  if nargout==1,varargout{1}=Gh;end
end
