function gmsh_command=command()
% FUNCTION fc_oogmsh.gmsh.command
%   Returns gmsh command as a string.
%
% USAGE:
%   gmsh_command=fc_oogmsh.gmsh.command()
%
% Copyright (C) 2017-2023 F. Cuvelier
  env=fc_oogmsh.environment();
  if isfield(env,'gmsh_bin')
    if ispc()
      gmsh_command=['"',env.gmsh_bin,'"']; % to avoid white space in path
    else
      gmsh_command=['''',env.gmsh_bin,'''']; % to avoid white space in path
    end
  else
    error('Unable to find gmsh command with fc_oogmsh.environment function');
  end
  if ~ispc() % 
    [status,result]=system(['export LD_LIBRARY_PATH=;''',env.gmsh_bin,''' -version 2>&1 /dev/null']);
    if status~=0, error(result);end
  end
end
