function plotPhysicalElements(Gh,varargin)
  assert(strcmp(class(Gh),'fc_oogmsh.ooGmsh2'),'First parameter must be a <fc_oogmsh.ooGmsh2> object.\b  -> 1st parameter is a %s object\n',class(Gh))
  if ~fc_oogmsh.isgraphics(), return;end
  p = inputParser;
  p.addParameter('entityDim',Gh.d:-1:0);
  p.parse(varargin{:});
  for entityDim=p.Results.entityDim
    sElts=Gh.get_sElts_by_entityDim(entityDim);
    if ~isempty(sElts)
      tags=unique(sElts.phys_lab)';
      tags=tags(tags>0); % delete interface elements 
      n=length(tags);
      if n>0 % 
        figure()
        hold on
        if (entityDim<=1) 
          Gh.plotmesh(entityDim+1,'color','lightgrey');
          if ~fc_tools.comp.isOctave(),alpha(0.2); end
        end
        Colors=fc_tools.graphics.selectColors(n);
        for i=1:n
          me=sElts.me(:,sElts.phys_lab==tags(i));
          [q,me,toGlobal]=fc_oogmsh.msh.FromGlobalToLocal(Gh.q,me,Gh.toGlobal);
          fc_graphics4mesh.plotmesh(q,me,'color',Colors(i,:),'DisplayName',num2str(tags(i)),'inlegend',true)
        end
        title(sprintf('Physical elements, entityDim:%d',entityDim))
        fc_graphics4mesh.legend()
        axis image
        axis off
        if Gh.dim==3,view(3);end
      end
    end
  end
end  
