function plotElementaryElementsDim(oGh,entityDim,varargin)
  assert(strcmp(class(oGh),'fc_oogmsh.ooGmsh4'),'First parameter must be a <fc_oogmsh.ooGmsh4> object.\b  -> 1st parameter is a %s object\n',class(oGh))
  if ~fc_oogmsh.isgraphics(), return;end
  
  p = inputParser;
  p.addParameter('geoTags',[]);
  p.addParameter('verbose',false);
  p.parse(varargin{:});
  R=p.Results;
  verbose=p.Results.verbose;
  if isempty(R.geoTags)
    geoTags=oGh.get_ElementaryTags_entityDim(entityDim);
  else
    geoTags=intersect(R.geoTags,oGh.get_ElementaryTags_entityDim(entityDim));
  end
  n=length(geoTags);
  gOptions={};
  if entityDim==1,gOptions={'LineWidth',1.5};end
  if n>0
    figure()
    hold on
    if (entityDim<=1)
      oGh.plotmesh(entityDim+1,'color','lightgrey');
      if ~fc_tools.comp.isOctave(),alpha(0.4); end
    end
    Colors=fc_tools.graphics.selectColors(n);
    for j=1:n
      if verbose,fprintf('     geometrical_tag=%7d composed with:\n',geoTags(j));end
      tags=oGh.get_EntityTags_From_parentTag(entityDim,geoTags(j));
      options={'DisplayName',num2str(geoTags(j))};
      for k=1:length(tags)
        [q,me]=oGh.get_localmesh_From_EntityBlock(entityDim,tags(k));
        if verbose,fprintf('       -> entity_tag=%7d, nq=%7d, nme=%7d\n',tags(k),size(q,2),size(me,2));end
        fc_graphics4mesh.plotmesh(q,me,'color',Colors(j,:),options{:},gOptions{:})
        options={};
      end
    end
    if oGh.dim==3,view(3);end
    title(sprintf('Elementary elements, entityDim:%d',entityDim))
    %legend(gca,'show')  % gca,'show' needs for older Matlab version, 2016b for ex.
    fc_graphics4mesh.legend()
    axis image
    axis off
  end
end    
