function plotInterfaceElements(Gh,varargin)
  assert(strcmp(class(Gh),'fc_oogmsh.ooGmsh4'),'First parameter must be a <fc_oogmsh.ooGmsh4> object.\b  -> 1st parameter is a %s object\n',class(Gh))
  if ~fc_oogmsh.isgraphics(), return;end
  if ~Gh.partitionnedfile, return; end
  p = inputParser;
  p.addParameter('entityDim',Gh.d-1:-1:0);
  p.addParameter('verbose',false);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  for entityDim=p.Results.entityDim
    if verbose,fprintf('*** Interface Elements: entityDim=%d\n',entityDim);end
    sE=get_subPartitionedEntities(Gh,entityDim);
    sE=sE([sE(:).numPartitions]>1); % on conserve uniquement les interfaces
    tags=[sE(:).tag];
    n=length(tags);
    if n>0
      figure()
      hold on
      Gh.plotmesh(1,'color','lightgrey','inlegend',false);
      Colors=fc_tools.graphics.selectColors(n);
      for k=1:n
        if verbose,fprintf('     interface_tag=%7d composed with:\n',tags(k));end
        [q,me]=Gh.get_localmesh_From_EntityBlock(entityDim,tags(k));
        if verbose,fprintf('       -> entity_tag=%7d, nq=%7d, nme=%7d\n',tags(k),size(q,2),size(me,2));end
        if entityDim==1
          fc_graphics4mesh.plotmesh(q,me,'color',Colors(k,:),'DisplayName',num2str(tags(k)),'inlegend',true,'Linewidth',2)
        else
          fc_graphics4mesh.plotmesh(q,me,'color',Colors(k,:),'DisplayName',num2str(tags(k)),'inlegend',true)
        end
      end
      if Gh.dim==3,view(3);end
      title(sprintf('Interface elements, entityDim:%d',entityDim))
      %legend(gca,'show')  % gca,'show' needs for older Matlab version, 2016b for ex.
      fc_graphics4mesh.legend()
      axis image
      axis off
    end
  end
end  
