function plotPartitionedEntities(Gh)  % 
  assert(strcmp(class(oGh),'fc_oogmsh.ooGmsh4'),'First parameter must be a <fc_oogmsh.ooGmsh4> object.\b  -> 1st parameter is a %s object\n',class(oGh))
  if ~fc_oogmsh.isgraphics(), return;end
  tags=Gh.get_PartitionTags_entityDim(Gh.d)
  ntags=length(tags);
  Colors=fc_tools.graphics.selectColors(ntags);
  sE=Gh.get_subPartitionedEntities(Gh.d);
  el=fc_oogmsh.gmsh.elm_type_list_by_d(2)
  for i=1:ntags
    tag=tags(i);
    for j=1:length(sE)
      if ismember(tag,sE.partitionTags)
        [q,me]=oGh.get_localmesh_ElementaryTag(types(i),tag);
      end
    end
  end
  etd=fc_oogmsh.gmsh.elm_type_desc(types(i));
  tags=oGh.get_PhysicalTags(types(i));
  n=length(tags);
  if n>0
    figure()
    hold on
    
    Colors=fc_tools.graphics.selectColors(n);
    for j=1:n
      [q,me]=oGh.get_localmesh_PhysicalTag(types(i),tags(j));
      fc_graphics4mesh.plotmesh(q,me,'color',Colors(j,:),'DisplayName',num2str(tags(j)),'inlegend',true)
    end
    title(sprintf('Physical elements, type:%d, %s',types(i),etd.desc))
    fc_graphics4mesh.legend()
    axis image
    axis off
  end
end
