function Nodes=read_Nodes(fid,varargin)
  p = inputParser;
  p.addParameter('verbose',false,@islogical);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  
  flag=fc_oogmsh.msh.find_section(fid,'$Nodes',varargin{:});
  %S=fgets(fid); % With GMSH 4.0.1 : only numEntityBlocks and numNodes
  %n=length(strfind(S,' '));
  %R=sscanf(S,'%d',n+1);
  %numEntityBlocks=R(1);numNodes=R(2);
  %if n==3,minNodeTag=R(3);maxNodeTag=R(4);end
  R=fscanf(fid,'%d',4);
%  R=fscanf(fid,'%d',2);
  numEntityBlocks=R(1);numNodes=R(2);minNodeTag=R(3);maxNodeTag=R(4);
  EntityBlocks=struct('entityDim',[],'entityTag',[],'parametric',[],'numNodes',[],'nodeTags',[],'Nodes',[]);
  EntityBlocks=repmat(EntityBlocks,1,numEntityBlocks);
  for i=1:numEntityBlocks
    %text = fgetl ( fid );
    R=fscanf(fid,'%d',4)';
    EntityBlocks(i).entityDim=R(1);EntityBlocks(i).entityTag=R(2);
    EntityBlocks(i).parametric=R(3);EntityBlocks(i).numNodes=R(4);
    EntityBlocks(i).nodeTags=fscanf(fid,'%d',R(4))';
    % u and v?
    EntityBlocks(i).Nodes=fscanf(fid,'%g',3*R(4));
    EntityBlocks(i).Nodes=reshape(EntityBlocks(i).Nodes,3,R(4));
  end
 
  text = fscanf(fid,'%s',1);
  if ( text == -1 ) | ~strcmp(strtok(text),'$EndNodes') 
    error('Trouble when reading file in section $Nodes %s',text)
  else
    if verbose,fprintf('Reading $Nodes section seem OK\n');end
  end
  Nodes=struct('numEntityBlocks',numEntityBlocks, 'numNodes',numNodes, ...
                  'minNodeTag',minNodeTag, 'maxNodeTag',maxNodeTag, ...
                  'EntityBlocks',EntityBlocks);
end
