DefineConstant[
  N = {10, Name "Parameters/0Refinement Number"},
  L = {2  , Name "Parameters/1L. "},
  Rf = {0.6, Name "Parameters/1Rf fictif"},  // fictif radius
  Ri = {0.2, Name "Parameters/1Ri int."},  //
  Rs = {0.1, Name "Parameters/1Rs small"},  // small radius
  Algorithm ={6, Name "Parameters/2Mesh.Algorithm "}
];

SetFactory("OpenCASCADE");

Rectangle(1) = {-L/2,-L/2,0,L,L};
//Physical Curve(1) = CombinedBoundary { Surface{1}; };

Disk(2) = {0, 0, 0, Ri, Ri};
//Physical Curve(2) = CombinedBoundary { Surface{2}; };

n=4;

labholes[] = {};
//labcircles[] = {};
For i In {0:n-1}
  lab=2*i+10;
  theta=2*i*Pi/n;
  cx=Rf*Cos[theta];cy=Rf*Sin[theta];
  Disk(lab) = {cx, cy, 0, Rs, Rs};
  //Circle(100+lab) = {cx, cy, 0, Rs, Rs};
  //Physical Curve(lab) = CombinedBoundary { Surface{lab}; };
  labholes+=lab;
  //labcircles+=100+lab;
EndFor

labin[] = {};
For i In {0:n-1}
  theta=(2*i+1)*Pi/n;
  lab=10+2*i+1;
  cx=Rf*Cos[theta];cy=Rf*Sin[theta];
  Disk(lab) = {cx, cy, 0, Rs, Rs};
  //Physical Surface(lab) = {lab};
  labin+=lab;
EndFor

BooleanDifference(100)={ Surface{1}; Delete; }{ Surface{2};Surface{labholes[]}; Delete;};
BooleanDifference(101)={ Surface{100}; Delete;}{ Surface{labin[]};};

Physical Surface(1) = {101};
For i In {0:n-1}
  Physical Surface(10+i) = {labin[i]};
EndFor

Physical Curve(1) = { 14:16 }; // exterieur
Physical Curve(10) = { 20 };

Physical Curve(21) = { 21 };
Physical Curve(22) = { 22 };
Physical Curve(23) = { 19 };
Physical Curve(24) = { 18 };


//Physical Curve(10) = { 2 };
