DefineConstant[
  N = {10, Name "Parameters/0Refinement Number"},
  Re = {1, Name "Parameters/1Re ext. "},
  Rf = {0.5, Name "Parameters/1Rf fictif"},  // fictif radius
  Ri = {0.2, Name "Parameters/1Ri int."},  //
  Rs = {0.1, Name "Parameters/1Rs small"},  // small radius
  Algorithm ={6, Name "Parameters/2Mesh.Algorithm "}
];

SetFactory("OpenCASCADE");

N=(N>=1 ? N : 1);
Mesh.Algorithm = Algorithm;
Mesh.CharacteristicLengthMin = 2*Pi*Rs/N;
Mesh.CharacteristicLengthMax = 2*Pi*Rs/N;
Mesh.MinimumCircleNodes=4; // default 7

Disk(1) = {0, 0, 0, Re, Re};
Disk(2) = {0, 0, 0, Ri, Ri};

For lab In {0:3}
  theta=lab*Pi/2;
  cx=Rf*Cos[theta];cy=Rf*Sin[theta];
  Disk(lab+10) = {cx, cy, 0, Rs, Rs};
EndFor

BooleanDifference(20) = { Surface{1}; Delete; }{ Surface{2};Surface{10};Surface{11};Surface{12};Surface{13};Delete; };



