DefineConstant[
  N = {10, Min 4, Max 10000, Step 1, Name "Parameters/Refinement Number"},
  L = {5, Name "Parameters/L "},
  R = {1, Name "Parameters/R "},
  h = {1, Name "Parameters/h "}
];

SetFactory("OpenCASCADE");

//R=( R<h/2 ? h/2:R); // R doit etre >=h/2

Mesh.Algorithm = 5;
Mesh.CharacteristicLengthMin = h/N;
Mesh.CharacteristicLengthMax = 2*h/N;
Mesh.MeshSizeFromPoints=0; //default 1
Mesh.MinimumCircleNodes=4; // default 7


Rectangle(1) = {-L/2, -h/2, 0, L, h,0};
Rectangle(2) = {-h/2, -L/2, 0, h, L,0};

l=R*R - (h/2)*(h/2);
l=( l<0 ? 0 : Sqrt(l) );


Disk(10) = { L/2+l, 0, 0, R,R};
Disk(11) = { -L/2-l, 0, 0, R,R};
Disk(12) = { 0,L/2+l, 0, R,R};
Disk(13) = { 0,-L/2-l, 0, R,R};

Disk(20) = { 0, 0, 0, L/2+l+h/2,L/2+l+h/2};
Disk(21) = { 0, 0, 0, L/2+l-h/2,L/2+l-h/2};

BooleanDifference(23) = { Surface{20}; Delete; }{ Surface{21};Delete; };

BooleanUnion{ Surface{1}; Delete; }{ Surface{2};Surface{10};Surface{11};Surface{12};Surface{13};Surface{23}; Delete; }
