// From regular_polygonOC.geo
// Include "regular_polygonOC.geo";
DefineConstant[
  N = {10, Name "Parameters/0Refinement Number"},
  R = {1, Name "Parameters/2Radius"},
  theta = {0, Name "Parameters/2theta"},
  d = {3, Name "Parameters/1d "},
  ri = {0.1, Name "Parameters/2ri"}
];

SetFactory("OpenCASCADE");

N=(N>=1 ? N : 1);
Mesh.CharacteristicLengthMin = Pi*ri/N;
Mesh.CharacteristicLengthMax = 2*Pi*ri/N;
h=2*Pi/d;

Disk(1) = {0, 0, 0, R, R};


clab=10;cilab=100;
rf=Sqrt( (R*Cos(0)-R*Cos(h))^2 + (R*Sin(0)-R*Sin(h))^2  )/2;
Cabs[]= {};Ciabs[]= {};
For i In {1:d}
  t1=theta+i*h;t0=theta+(i-1)*h;
  cx=(R*Cos[t0]+R*Cos[t1])/2;
  cy=(R*Sin[t0]+R*Sin[t1])/2;
  Disk(clab+i-1) = {cx,cy,0,rf,rf};
  Cabs+=clab+i-1;
  Disk(cilab+i-1) = {cx,cy,0,ri,ri};
  Ciabs+=cilab+i-1;
EndFor

BooleanUnion(200) = {Surface{1};Delete;}{Surface{Cabs[]};Delete;};

BooleanDifference{Surface{200};Delete;}{Surface{Ciabs[]};Delete;}
