DefineConstant[
  N = {10, Min 4, Max 10000, Step 1, Name "Parameters/Refinement Number"},
  R = {3, Name "Parameters/R "},
  h = {0.5, Name "Parameters/h "}
];

SetFactory("OpenCASCADE");

Mesh.Algorithm = 5;
Mesh.CharacteristicLengthMin = 2*Pi*R/N;
Mesh.CharacteristicLengthMax = Pi*R/N;
Mesh.MeshSizeFromPoints=0; //default 1
Mesh.MinimumCircleNodes=4; // default 7

r=R-h/2;

Disk(1) = {0, 0, 0, R, R};
Disk(2) = {-2*R-h, 0, 0, R, R};
Disk(3) = {-R-h/2, -R, 0, R, R};
Disk(4) = {R+h/2, -R, 0, R, R};
Disk(5) = {2*R+h, 0, 0, R, R};

Disk(11) = {0, 0, 0, r, r};
Disk(12) = {-2*R-h, 0, 0, r, r};
Disk(13) = {-R-h/2, -R, 0, r, r};
Disk(14) = {R+h/2, -R, 0, r, r};
Disk(15) = {2*R+h, 0, 0, r, r};


BooleanDifference(21) = { Surface{1}; Delete; }{ Surface{11};Delete; };
BooleanDifference(22) = { Surface{2}; Delete; }{ Surface{12};Delete; };
BooleanDifference(23) = { Surface{3}; Delete; }{ Surface{13};Delete; };
BooleanDifference(24) = { Surface{4}; Delete; }{ Surface{14};Delete; };
BooleanDifference(25) = { Surface{5}; Delete; }{ Surface{15};Delete; };

BooleanUnion{ Surface{22}; Delete; }{ Surface{23}; Surface{21}; Surface{24}; Surface{25}; Delete; }
