DefineConstant[
  N = {10, Min 4, Max 10000, Step 1, Name "Parameters/Refinement Number"},
  L = {3, Name "Parameters/R "},
  h = {1, Name "Parameters/h "}
];

SetFactory("OpenCASCADE");

Mesh.Algorithm = 5;
Mesh.CharacteristicLengthMin = h/N;
Mesh.CharacteristicLengthMax = 2*h/N;
Mesh.MeshSizeFromPoints=0; //default 1
Mesh.MinimumCircleNodes=4; // default 7


Rectangle(1) = {-L/2, -h/2, 0, L, h,0};
Rectangle(2) = {-h/2, -L/2, 0, h, L,0};

BooleanUnion{ Surface{1}; Delete; }{ Surface{2}; Delete; }
