DefineConstant[
  N = {10, Name "Parameters/0Refinement Number"},
  R = {1, Name "Parameters/2Radius"},
  theta = {0, Name "Parameters/2theta"},
  d = {3, Name "Parameters/1d "}
];

SetFactory("OpenCASCADE");

N=(N>=1 ? N : 1);
Mesh.CharacteristicLengthMin = Pi*R/N;
Mesh.CharacteristicLengthMax = 2*Pi*R/N;
h=2*Pi/d;


For lab In {0:d-1}
  t=theta+lab*h;
  cx=R*Cos[t];cy=R*Sin[t];
  Point(lab+1) = {cx, cy, 0};
EndFor

Labs[]= {};
For lab In {1:d-1}
  Line(lab) = {lab, lab+1};
  Labs+=lab;
EndFor
Line(d) = {d, 1};
Labs+=d;
Curve Loop(1) = {Labs[]};
Plane Surface(1) = {1};
