DefineConstant[
  N = {10, Min 4, Max 10000, Step 1, Name "Parameters/0Refinement Number"},
  Ro = {1, Name "Parameters/1Outer radius "},
  Ri = {0.4, Name "Parameters/1Inner radius "}
];

SetFactory("OpenCASCADE");

Mesh.Algorithm = 6;
Mesh.CharacteristicLengthMin = 2*Pi*Ri/N;
Mesh.CharacteristicLengthMax = 2*Pi*Ri/N;
Mesh.MinimumCircleNodes=4; // default 7

Disk(1) = {0, 0, 0, Ro, Ro};
Disk(2) = {0, 0, 0, Ri, Ri};

BooleanDifference(20) = { Surface{1}; Delete; }{ Surface{2};Delete; };
