function varargout=alldemos_MSH(MshFileVersion,varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('stop',true,@islogical);
  p.addParamValue('small',true,@islogical);
  p.addParamValue('save',false,@islogical);
  p.addParamValue('savedir','./figures',@ischar);
  p.addParamValue('pause',2,@isscalar);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin={varargin{:},'MshFileVersion',MshFileVersion,'force',true};
  R.SaveOptions={'format','png', 'dir',R.savedir,'tag',true,'verbose',true};
  R.LTD=fc_tools.utils.line_text_delimiter();

  List{1}={'feval2D01','feval3D01','feval3Ds01', ...
        'feval2D02','feval3D02','feval3Ds02', ...
        'feval2D03','feval3D03','feval3Ds03', ...
        'eval2D01','eval3D01','eval3Ds01', ...
        'eval2D02','eval3D02','eval3Ds02', ...
        'eval2D03','eval3D03','eval3Ds03'};
  List{2}={'find2D','find3D','find3Ds', ...
        'get_mesh2D','get_mesh3D','get_mesh3Ds'};
        
  List{3}={'plotmesh2D','plotmesh3D','plotmesh3Ds', ...
        'plot2D','plot3D','plot3Ds', ...
        'plotiso2D','plotiso3D','plotiso3Ds', ...
        'slicemesh3D','slice3D','sliceiso3D', ...
        'plotquiver2D','plotquiver3D','plotquiver3Ds', ...
        'scatter2D','scatter3D','scatter3Ds', ...
        'moveArray2D','moveArray3D','moveArray3Ds', ...
        'moveCell2D','moveCell3D','moveCell3Ds'
        };
     
  valid=[];
  for i=1:3
    v=run_List(List{i},R,varargin{:});
    valid=[valid,v];
  end
  if nargout==1,varargout{1}=valid;end
end

function valid=run_List(List,R,varargin)
  if R.small,List={List{1:3:end}};end
  nL=length(List);
  valid=ones(1,nL);
  for i=1:nL
    command=sprintf('fc_simesh.demos.%s(varargin{:})',List{i});
    fprintf('[fc-simesh] %s',R.LTD)
    fprintf('[fc-simesh] Running %s\n',command)
    fprintf('[fc-simesh] %s',R.LTD)
    try 
      eval(command)
    catch ME
      valid(i)=0;
      if R.stop
        error('[fc-simesh] Stop! running %s FAILED!\n            -> file: %s (line %d):\n            -> %s\n',command,ME.stack(1).name,ME.stack(1).line,ME.message)
      else
        fprintf('[fc-simesh] Running %s FAILED!\n',command)
        fprintf('            -> file: %s (line %d):\n            -> %s\n',ME.stack(1).name,ME.stack(1).line,ME.message);
      end
    end
    if R.pause>0
      pause(R.pause)
    end
    if R.save
      fc_tools.graphics.SaveAllFigsAsFiles(List{i},R.SaveOptions{:})
    end
  end
end
