function varargout=moveCell2D(varargin)
  fprintf('************************************\n')
  fprintf('  Running %s function\n',mfilename())
  fprintf('************************************\n')
  close all
  % :start:
  [Th,verbose]=fc_simesh.demos.setMesh2D(varargin{:});
  Th1=Th.copy(); % Deep copy of Th
  f=@(x,y) cos(2*x).*sin(3*y)/4;
  U=ones(1,Th.nq);
  
  Th1.move({U}, 1) % Th1.move(U, 1) also is OK!
  figure(1)
  Th1.plotmesh();
  axis image; title('moving mesh: +(1,0) [using cell array]')
  
  Th1.move({-U,U}, 1:2)
  figure(2)
  Th1.plotmesh();
  axis image; title('moving mesh: +(-1,1) [using cell array]')
  
  Th1.move({-U;Th.eval(f)},2:3) % Th1 is now a 3D mesh
  figure(3)
  Th1.plotmesh('edgecolor','none');
  axis image; title('moving mesh: +(0,-1,f) [using cell array]')
  % :end:
  fc_tools.graphics.monitors.autoGrid('covers',0.9);
  if nargout==1,varargout{1}=Th;end
end
