function varargout=moveCell3D(varargin)
  fprintf('************************************\n')
  fprintf('  Running %s function\n',mfilename())
  fprintf('************************************\n')
  close all
  % :start:
  [Th,verbose]=fc_simesh.demos.setMesh3D(varargin{:});
  Th1=Th.copy(); % Deep copy of Th
  f=@(x,y,z) cos(2*x+z).*sin(3*y-z)/10;
  U=ones(1,Th.nq);
  
  Th1.move({U},1)
  figure(1)
  Th1.plotmesh('d',2);
  axis image; title('moving mesh: +(1,0,0) [using cell array]')
  
  Th1.move({-U,U}, 1:2)
  figure(2)
  Th1.plotmesh('d',2);
  axis image; title('moving mesh: +(-1,1,0) [using cell array]')
  
  Th1.move({-U;Th.eval(f)}, 2:3)
  figure(3)
  Th1.plotmesh('d',2);
  axis image; title('moving mesh: +(0,-1,f) [using cell array]')
  % :end:
  
  fc_tools.graphics.monitors.autoGrid('covers',0.9);
  if nargout==1,varargout{1}=Th;end
end
