function varargout=plot3D(varargin)
  close all % :start:
  geofile=fc_simesh.get_geo(3,3,'cylinderkey03');
  meshfile=fc_oogmsh.buildmesh3d(geofile,10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
  figure(1)
  Th.plot(u);
  axis off;axis image;colorbar
  figure(2)
  Th.plot(u,'d',2,'labels',[10,11,31,1000,1020,1021,2000,2020,2021])
  hold on;axis off;axis image;colorbar
  Th.plot(u,'d',2,'labels',1,'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  figure(3)
  Th.plot(u,'d',2,'labels',1,'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  hold on;axis off;axis image;colorbar
  Th.plot(u,'d',2,'labels',[10,11,1000,2000])
  Th.plot(u,'d',2,'labels',[31,1020,1021,2020,2021], 'FaceColor','interp','EdgeColor','none')
  figure(4)
  Th.plot(u,'d',2,'labels',1,'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  hold on;axis off;axis image;colorbar
  Th.plot(u,'d',1,'LineWidth',2)
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=u;end
end


