function varargout=plotiso2D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh2d('condenser11',25,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=Th.eval(@(x,y) 5*exp(-3*(x.^2+y.^2)).*cos(x).*sin(y));
  figure(1)
  Th.plotmesh('d',1,'color','k')
  hold on;axis off;axis image;
  Th.plotiso(u,'isocolorbar',true)
  figure(2)
  Th.plot(u,'plane',true,'FaceAlpha',0.7)
  hold on;axis off;axis image;shading interp;
  Th.plotiso(u,'plane',true,'LineWidth',1.5)
  colorbar
  figure(3)
  Th.plot(u,'FaceAlpha',0.7)
  view(3)
  shading interp;hold on;axis off;axis image;
  Th.plotiso(u,'niso',15,'LineWidth',1.5)
  colorbar
  figure(4)
  Th.plot(u,'plane',true)
  shading interp;hold on;axis off;axis image;
  Th.plotiso(u,'isorange',0, 'LineWidth',1.5, 'color','w')
  Th.plotiso(u,'isorange',[-1,1], 'LineWidth',1.5, 'color','k','plane',true)
  axis off;axis image;colorbar 
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=u;end
end
