function varargout=plotiso3D(varargin)
  close all % :start:
  geofile=fc_simesh.get_geo(3,3,'cylinderkey');
  meshfile=fc_oogmsh.gmsh.buildmesh3d(geofile,10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
  figure(1)
  Th.plot(u,'d',2,'labels',[10,11,31],'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  hold on;view(3);axis off;axis equal;
  Th.plotmesh('d',2,'labels',[1000,1020,1021,2000,2020,2021], 'FaceColor','none','EdgeColor',0.9*[1,1,1])
  Th.plotiso(u,'isocolorbar',true,'LineWidth',1.5)
  figure(2)
  Th.plot(u,'d',2,'labels',[10,11,31],'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  hold on;axis off;axis equal;
  Th.plotmesh('d',2,'labels',[2000,2020,2021], 'FaceColor','none','EdgeColor',0.9*[1,1,1])
  Th.plotiso(u,'labels',[10,11,31,2000,2020,2021],'LineWidth',1.5, 'niso',15)
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=u;end
end
