function varargout=plotiso3Ds(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh3ds('demisphere5',10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
  figure(1)
  Th.plot(u,'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  hold on;axis off;axis equal;colorbar
  Th.plotiso(u,'LineWidth',1.5)
  figure(2)
  Th.plot(u,'labels',[1,11],'FaceColor','interp', 'EdgeColor','none')
  hold on;axis off;axis equal;colorbar;
  Th.plotiso(u,'labels',[1,11],'LineWidth',1.,'color','w')
  Th.plot(u,'labels',[10,12],'FaceColor','interp', 'EdgeColor','none','FaceAlpha',0.4)
  Th.plotiso(u,'labels',[10,12],'LineWidth',1.5)
  Th.plotmesh('d',1,'Color','k')
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=u;end
end
