function varargout=plotquiver3Ds(varargin)
  close all % :start:
  geofile=fc_simesh.get_geo(3,2,'demisphere5');
  meshfile=fc_oogmsh.gmsh.buildmesh3ds(geofile,10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  
  w={@(x,y,z) y.*cos(-(x.^2+y.^2)/10),@(x,y,z) -x.*cos(-(x.^2+y.^2)/10),@(x,y,z) z };
  W=Th.eval(w);
  u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
  
  figure(1)
  Th.plotmesh('d',1,'color','k', 'LineWidth',1.5)
  hold on;axis off;axis image
  Th.plotquiver(W,'LineWidth',1)

  figure(2)
  Th.plotmesh('d',1,'color','k', 'LineWidth',1.5)
  hold on;axis off;axis image
  Th.plotquiver(W,'LineWidth',1,'merge',false,'inlegend',true)
  fc_graphics4mesh.legend()
  
  figure(3)
  Th.plotmesh('d',1,'color','k', 'LineWidth',1.5)
  hold on;axis off;axis image
  Th.plotquiver(W,'colordata',u, 'scale',0.1)
  colormap('jet');colorbar 
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout==1,varargout{1}=Th;end
end
