function varargout=scatter2D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh2d('condenser11',20,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=@(x,y) 0.3*cos(5*(2*x-y)).*sin(5*(x-2*y));
  U=Th.eval(u);
  figure(1)
  Th.plotmesh('d',1,'color','LightGray')
  hold on
  Th.scatter(U);
  axis image;axis off;
  colorbar
  figure(2)
  Th.plotmesh('d',1,'color','LightGray')
  hold on  % '*Alpha' options not yet implemented under Octave
  Th.scatter(U,'MarkerSize',8,'MarkerEdgeAlpha',0.6);
  axis off;axis image
  colorbar
  figure(3)
  Th.plotmesh('d',1,'color','LightGray')
  hold on  % '*Alpha' options not yet implemented under Octave
  Th.scatter(U,'d',1,'MarkerSize',12,'MarkerEdgeAlpha',0,'MarkerFaceColor', 'flat','MarkerFaceAlpha',0.8)
  axis off;axis image
  colormap('jet')
  colorbar
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=U;end
end
