function varargout=scatter3D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh3d('cylinder3holes',20,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=@(x,y,z) cos(2*x-y-z).*sin(x-2*y+z);
  U=Th.eval(u);
  figure(1)
  Th.plotmesh('d',1,'color','k')
  hold on
  Th.scatter(U,'MarkerEdgeAlpha',0.1);
  axis image;axis off;view(3)
  colorbar
  figure(2)
  Th.plotmesh('d',1,'color','k')
  hold on
  Th.scatter(U,'d',2);
  axis image;axis off;view(3)
  colorbar
  figure(3)
  colormap('jet')
  Th.scatter(U,'d',1,'MarkerSize',8);
  hold on
  Th.scatter(U,'d',2,'MarkerSize',5,'labels',[10,20,21]);
  axis image;axis off;view(3)
  colorbar
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=U;end
end


