function varargout=scatter3Ds(varargin)
  close all % :start:
  geofile=fc_simesh.get_geo(3,2,'demisphere5');
  meshfile=fc_oogmsh.buildmesh3ds(geofile,10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
  figure(1)
  Th.scatter(u,'MarkerSize',7)
  view(3);axis off;axis image;colorbar;
  figure(2)
  Th.scatter(u,'labels',[1,11])
  hold on;axis off;axis image;colorbar;
  Th.scatter(u,'labels',[10,12], 'MarkerSize',9)
  view(3)
  figure(3)
  Th.scatter(u,'d',1,'MarkerSize',9)
  axis off;axis image;colorbar
  view(3)
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=u;end
end
