function Th=disk5holes(N,varargin)
  % Th=fc_simesh.samples.disk5holes(15);
  % Th=fc_simesh.samples.disk5holes(15,'Re',2,'Rf',1,'Rs',0.3,'Ri',0.5);
  ip = inputParser();
  %ip.KeepUnmatched=true;
  ip.PartialMatching=false;
  ip.addParameter('verbose',0,@isnumeric); % fine mesh refinement number
  ip.addParameter('delete',true,@islogical); % delete msh file
  ip.addParameter('Re',1,@isnumeric); % see geofile
  ip.addParameter('Rf',0.5,@isnumeric); % see geofile
  ip.addParameter('Ri',0.2,@isnumeric); % see geofile
  ip.addParameter('Rs',0.1,@isnumeric); % see geofile
  ip.parse(varargin{:});
  iR=ip.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,ip.Parameters);
  Loptions={sprintf('-setnumber Re %g',iR.Re),sprintf('-setnumber Rf %g',iR.Rf), ...
            sprintf('-setnumber Ri %g',iR.Ri),sprintf('-setnumber Rs %g',iR.Rs)};
  geofile=fc_oogmsh.get_geo(2,2,'disk5holesOC.geo');
  meshfile=fc_oogmsh.buildmesh2d(geofile,N,'Loptions',Loptions,'verbose',iR.verbose);
  Th=fc_simesh.siMesh(meshfile,'isPhysLabel',false);
  Th.other.parameters=struct('N',N,'Re',iR.Re,'Rf',iR.Rf,'Ri',iR.Ri,'Rs',iR.Rs);
  if iR.delete
    if iR.verbose,fprintf('%s: delete mesh file :\n   -> %s\n',mfilename(),meshfile);end
    delete(meshfile)
  end
end
