function Th=ellipse(N,varargin)
  ip = inputParser();
  %ip.KeepUnmatched=true;
  ip.PartialMatching=false;
  ip.addParameter('verbose',0,@isnumeric); % fine mesh refinement number
  ip.addParameter('delete',true,@islogical); % delete msh file
  ip.addParameter('Rx',1,@isnumeric); % see geofile
  ip.addParameter('Ry',0.75,@isnumeric); % see geofile
  ip.parse(varargin{:});
  iR=ip.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,ip.Parameters);
  Loptions={sprintf('-setnumber Rx %g',iR.Rx),sprintf('-setnumber Ry %g',iR.Ry)};
  filename='ellipseOC.geo';
  geofile=fc_oogmsh.get_geo(2,2,filename);
  assert(~isempty(geofile),'%s: unable to find %s file!\n',mfilename(),filename)
  meshfile=fc_oogmsh.buildmesh2d(geofile,N,'Loptions',Loptions,'verbose',iR.verbose);
  Th=fc_simesh.siMesh(meshfile,'isPhysLabel',false);
  Th.other.parameters=struct('N',N,'Rx',iR.Rx,'Ry',iR.Ry);
  if iR.delete
    if iR.verbose,fprintf('%s: delete mesh file :\n   -> %s\n',mfilename(),meshfile);end
    delete(meshfile)
  end
end
