function Th=model02(N,varargin)
  ip = inputParser();
  %ip.KeepUnmatched=true;
  ip.PartialMatching=false;
  ip.addParameter('verbose',0,@isnumeric); % fine mesh refinement number
  ip.addParameter('delete',true,@islogical); % delete msh file
  ip.addParameter('L',3,@isnumeric); % see geofile
  ip.addParameter('h',1,@isnumeric); % see geofile
  ip.addParameter('R',1,@isnumeric); % see geofile
  ip.addParameter('renumbering',true,@islogical); %
  ip.addParameter('tol',1e-12,@isnumeric); %
  ip.parse(varargin{:});
  iR=ip.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,ip.Parameters);
  R=iR.R;h=iR.h;L=iR.L;  % see geofile
  assert( L/2>R & R>sqrt(2)*h/2,'Must have L/2>R and R>sqrt(2)*h/2')

  Loptions={sprintf('-setnumber L %g',iR.L),sprintf('-setnumber h %g',iR.h),sprintf('-setnumber R %g',iR.R)};
  geofile=fc_oogmsh.get_geo(2,2,'model02OC.geo');
  meshfile=fc_oogmsh.buildmesh2d(geofile,N,'Loptions',Loptions,'verbose',iR.verbose);
  Th=fc_simesh.siMesh(meshfile,'isPhysLabel',false);
  Th.other.parameters=struct('N',N,'L',iR.L,'h',iR.h,'R',iR.R);
  if iR.renumbering
    l=R*R - (h/2)*(h/2);
    tol=iR.tol;
    if l<0,l=0;else,l=sqrt(l);end

    % cercle de droite
    cx=L/2+l;cy=0;
    fun=@(q) all( abs( (q(1,:)-cx).^2+(q(2,:)-cy).^2 -R^2 ) < tol);
    d=1; % d-simplex
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
    oldlabel=Th.sThlab(idx); newlabel=1;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    I=idx;
    % cercle du haut
    cx=0;cy=L/2+l;
    fun=@(q) all( abs( (q(1,:)-cx).^2+(q(2,:)-cy).^2 -R^2 ) < tol);
    d=1; % d-simplex
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
    oldlabel=Th.sThlab(idx); newlabel=2;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    I=[idx,I];
    % cercle de gauche
    cx=-(L/2+l);cy=0;
    fun=@(q) all( abs( (q(1,:)-cx).^2+(q(2,:)-cy).^2 -R^2 ) < tol);
    d=1; % d-simplex
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
    oldlabel=Th.sThlab(idx); newlabel=3;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    I=[idx,I];
    % cercle du haut
    cx=0;cy=-(L/2+l);
    fun=@(q) all( abs( (q(1,:)-cx).^2+(q(2,:)-cy).^2 -R^2 ) < tol);
    d=1; % d-simplex
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
    oldlabel=Th.sThlab(idx); newlabel=4;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    I=[idx,I];

    Re=L/2+l+h/2;
    cx=0;cy=0;
    fun=@(q) all( abs( (q(1,:)-cx).^2+(q(2,:)-cy).^2 -Re^2 ) < tol);
    d=1; % d-simplex
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
    oldlabel=Th.sThlab(idx); newlabel=10;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    I=[idx,I];

    Re=L/2+l-h/2;
    cx=0;cy=0;
    fun=@(q) all( abs( (q(1,:)-cx).^2+(q(2,:)-cy).^2 -Re^2 ) < tol);
    d=1; % d-simplex
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
    oldlabel=Th.sThlab(idx); newlabel=11;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    I=[idx,I];

    fidx=Th.find_physicals(d);
    cidx=setdiff(fidx,I);
    oldlabel=Th.sThlab(cidx); newlabel=20;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,cidx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end

    Th.set_pcolors();
  end
  if iR.delete
    if iR.verbose,fprintf('%s: delete mesh file :\n   -> %s\n',mfilename(),meshfile);end
    delete(meshfile)
  end
end
