function Th=model03v2(N,varargin)
  ip = inputParser();
  %ip.KeepUnmatched=true;
  ip.PartialMatching=false;
  ip.addParameter('verbose',0,@isnumeric); % fine mesh refinement number
  ip.addParameter('delete',true,@islogical); % delete msh file
  ip.addParameter('L',3,@isnumeric); % see geofile
  ip.addParameter('h',1,@isnumeric); % see geofile
  ip.addParameter('R',1,@isnumeric); % see geofile
  ip.addParameter('tol',1e-12,@isnumeric); %
  ip.addParameter('renumbering',true,@islogical); %
  ip.parse(varargin{:});
  iR=ip.Results;
  R=iR.R;h=iR.h;L=iR.L;  % see geofile
  assert( L/2>R & R>sqrt(2)*h/2,'Must have L/2>R and R>sqrt(2)*h/2')
  %assert(R*R - (h/2)*(h/2) >=0)
  %varargin=fc_tools.utils.deleteCellOptions(varargin,ip.Parameters);
  Loptions={sprintf('-setnumber L %g',iR.L),sprintf('-setnumber h %g',iR.h),sprintf('-setnumber R %g',iR.R)};
  geofile=fc_oogmsh.get_geo(2,2,'model03v2OC.geo');
  meshfile=fc_oogmsh.buildmesh2d(geofile,N,'Loptions',Loptions);
  Th=fc_simesh.siMesh(meshfile,'isPhysLabel',false);
  Th.other.parameters=struct('N',N,'L',iR.L,'h',iR.h,'R',iR.R);
  if iR.renumbering
    tol=iR.tol;
    l=R*R - (h/2)*(h/2);
    if l<0,l=0;else,l=sqrt(l);end
    b=L/2+l;
    C=[b,0; 0,b; -b,0; 0,-b];

    for i=1:4
      oncircle{i}=@(q) all( abs( (q(1,:)-C(i,1)).^2+(q(2,:)-C(i,2)).^2 -R^2 ) < tol);
      indisk{i}=@(q) all( (q(1,:)-C(i,1)).^2+(q(2,:)-C(i,2)).^2 <= R^2+tol );
    end
    incross=@(q) ( ( q(1,:)>=-L/2 & q(1,:)<=-L/2+L & q(2,:)>=-h/2 & q(2,:)<=-h/2+h ) |   ( q(2,:)>=-L/2 & q(2,:)<=-L/2+L & q(1,:)>=-h/2 & q(1,:)<=-h/2+h ) );

    a=L/2+l+h/2;
    onsquare{1}=@(q)  ( abs(q(1,:)-a)<=tol | abs(q(1,:)+a)<=tol | abs(q(2,:)-a)<=tol | abs(q(2,:)+a)<=tol );
    ai=L/2+l-h/2;
    onsquare{2}=@(q)  ( abs(q(1,:)-ai)<=tol | abs(q(1,:)+ai)<=tol | abs(q(2,:)-ai)<=tol | abs(q(2,:)+ai)<=tol );
    inbox{1} = @(q) ( (q(1,:) > h/2+tol & q(1,:) <=a+tol ) & (q(2,:) > h/2+tol & q(2,:) <=a+tol ) );
    inbox{2} = @(q) ( (-q(1,:) > h/2+tol & -q(1,:) <=a+tol ) & (q(2,:) > h/2+tol & q(2,:) <=a+tol ) );
    inbox{3} = @(q) ( (q(1,:) > h/2+tol & q(1,:) <=a+tol ) & (-q(2,:) > h/2+tol & -q(2,:) <=a+tol ) );
    inbox{4} = @(q) ( (-q(1,:) > h/2+tol & -q(1,:) <=a+tol ) & (-q(2,:) > h/2+tol & -q(2,:) <=a+tol ) );

    inwall=@(q) ( (q(1,:)>=ai-tol & q(1,:)<=a+tol) | ( q(1,:)<=-ai+tol & q(1,:)>=-a-tol) ) | ...
                ( (q(2,:)>=ai-tol & q(2,:)<=a+tol) | ( q(2,:)<=-ai+tol & q(2,:)>=-a-tol) );

    d=2;
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,incross);
    oldlabel=Th.sThlab(idx); newlabel=1;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end

    for i=1:4
      idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,inbox{i});
      oldlabel=Th.sThlab(idx); newlabel=9+i;
      Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
      if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    end

    for i=1:4
      idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,indisk{i});
      oldlabel=Th.sThlab(idx); newlabel=19+i;
      Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
      if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    end

    d=1;I=[];
    for i=1:2
      fun=@(q) onsquare{i}(q) & ~indisk{1}(q) & ~indisk{2}(q) & ~indisk{3}(q) & ~indisk{4}(q);
      idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
      I=[I,idx];
      oldlabel=Th.sThlab(idx); newlabel=i;
      Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
      if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    end

    idx_in_cross=fc_simesh.methods_siMesh.find_elements_in(Th,d,incross);
    idx_in_wall=fc_simesh.methods_siMesh.find_elements_in(Th,d,inwall );
    idx_in_wc=unique([idx_in_cross,idx_in_wall]);
    fun=@(q) indisk{1}(q) | indisk{2}(q) | indisk{3}(q) | indisk{4}(q);
    idx_in_disks=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun );

    for i=1:4
      fun=@(q) all(oncircle{i}(q));% & ~(abs(q(1,:)-ai)<tol
      idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
      idx=setdiff(idx,idx_in_wc);
      I=[I,idx];
      oldlabel=Th.sThlab(idx); newlabel=9+i;
      Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
      if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    end

    insmallsquare=@(q) ( abs(q(1,:))<=h/2+tol & abs(q(2,:))<=h/2+tol );
    fun=@(q) all(incross(q)) & ~all(insmallsquare(q)) ;%& ~all(indisk{1}(q)) & ~all(indisk{2}(q)) & ~all(indisk{3}(q)) & ~all(indisk{4}(q)) & ~all(insmallsquare(q));
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
    idx=setdiff(idx,idx_in_disks);
    oldlabel=Th.sThlab(idx); newlabel=20;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    I=[I,idx];
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end

    allidx=Th.find(d);
    idx=setdiff(allidx,I);
    oldlabel=Th.sThlab(idx); newlabel=0;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end

    Th.set_pcolors();
  end
  if iR.delete
    if iR.verbose,fprintf('%s: delete mesh file :\n   -> %s\n',mfilename(),meshfile);end
    delete(meshfile)
  end
end
