function Th=model10(N,varargin)
  % Th=fc_simesh.samples.disk(15);
  % Th=fc_simesh.samples.disk(15,'R',2);
  ip = inputParser();
  %ip.KeepUnmatched=true;
  ip.PartialMatching=false;
  ip.addParameter('verbose',0,@isnumeric); % fine mesh refinement number
  ip.addParameter('delete',true,@islogical); % delete msh file
  ip.addParameter('R',1,@isnumeric); % see geofile
  ip.addParameter('theta',0,@isnumeric); % see geofile
  ip.addParameter('d',3,@isnumeric); % see geofile
  ip.addParameter('tol',1e-12,@isnumeric); % tolerance
  ip.addParameter('renumbering',true,@islogical); %
  ip.parse(varargin{:});
  iR=ip.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,ip.Parameters);
  Loptions={sprintf('-setnumber R %g',iR.R),sprintf('-setnumber theta %g',iR.theta), ...
            sprintf('-setnumber d %d',iR.d)};
  geofile=fc_oogmsh.get_geo(2,2,'model10OC.geo');
  meshfile=fc_oogmsh.buildmesh2d(geofile,N,'Loptions',Loptions,'verbose',iR.verbose);
  Th=fc_simesh.siMesh(meshfile,'isPhysLabel',false);
  Th.other.parameters=struct('N',N,'R',iR.R,'theta',iR.theta,'d',iR.d);
  if iR.renumbering
    R=iR.R;theta=iR.theta;d=iR.d;tol=iR.tol;
    h=2*pi/d;
    r=sqrt( (R*cos(0)-R*cos(h))^2 + (R*sin(0)-R*sin(h))^2  )/2;
    t=theta:h:theta+2*pi;
    P=[R*cos(t);R*sin(t)];
    C=(P(:,1:end-1)+P(:,2:end))/2;
    dd=1; % for d-simplex
    for i=1:d
      oncircle{i}= @(q) all( abs( (q(1,:)-C(1,i)).^2+(q(2,:)-C(2,i)).^2 - r^2 ) < tol);
      idx=fc_simesh.methods_siMesh.find_elements_in(Th,dd,oncircle{i});
      oldlabel=Th.sThlab(idx); newlabel=i;
      Th=fc_simesh.methods_siMesh.set_physical_label(Th,dd,idx,newlabel,'set_pcolors',false);
      if iR.verbose,fprintf('%s: (%d-simplex) numbering geometric labels to physical label : %s   -> %d\n',mfilename(),d,num2str(oldlabel),newlabel);end
    end
    Th.set_pcolors();
  end

  if iR.delete
    if iR.verbose,fprintf('%s: delete mesh file :\n   -> %s\n',mfilename(),meshfile);end
    delete(meshfile)
  end
end
