function Th=rectangle(N,varargin)
  % Th=fc_simesh.samples.rectangle(15);
  % Th=fc_simesh.samples.rectangle(15,'Lx',2);
  ip = inputParser();
  %ip.KeepUnmatched=true;
  ip.PartialMatching=false;
  ip.addParameter('verbose',0,@isnumeric); % fine mesh refinement number
  ip.addParameter('delete',true,@islogical); % delete msh file
  ip.addParameter('Lx',1,@isnumeric); % see geofile
  ip.addParameter('Ly',1,@isnumeric); % see geofile
  ip.addParameter('x',0,@isnumeric); % see geofile
  ip.addParameter('y',0,@isnumeric); % see geofile
  ip.parse(varargin{:});
  iR=ip.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,ip.Parameters);
  Loptions={sprintf('-setnumber Lx %g',iR.Lx),sprintf('-setnumber Ly %g',iR.Ly), ...
            sprintf('-setnumber x %g',iR.x),sprintf('-setnumber y %g',iR.y)};
  filename='rectangleOC.geo';
  geofile=fc_oogmsh.get_geo(2,2,filename);
  assert(~isempty(geofile),'%s: unable to find %s file!\n',mfilename(),filename)
  meshfile=fc_oogmsh.buildmesh2d(geofile,N,'Loptions',Loptions,'verbose',iR.verbose);
  Th=fc_simesh.siMesh(meshfile,'isPhysLabel',false);
  Th.other.parameters=struct('N',N,'Lx',iR.Lx,'Ly',iR.Ly,'x',iR.x,'y',iR.y);
  if iR.delete
    if iR.verbose,fprintf('%s: delete mesh file :\n   -> %s\n',mfilename(),meshfile);end
    delete(meshfile)
  end
end
