function Th=red_cross(N,varargin)
  ip = inputParser();
  %ip.KeepUnmatched=true;
  ip.PartialMatching=false;
  ip.addParameter('verbose',0,@isnumeric); % fine mesh refinement number
  ip.addParameter('delete',true,@islogical); % delete msh file
  ip.addParameter('L',3,@isnumeric); % see geofile, cross width
  ip.addParameter('h',1,@isnumeric); % see geofile, arm width of the cross
  ip.addParameter('renumbering',true,@islogical); %
  ip.addParameter('tol',1e-12,@isnumeric); %
  ip.parse(varargin{:});
  iR=ip.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,ip.Parameters);
  Loptions={sprintf('-setnumber L %g',iR.L),sprintf('-setnumber h %g',iR.h)};
  geofile=fc_oogmsh.get_geo(2,2,'red_crossOC.geo');
  meshfile=fc_oogmsh.buildmesh2d(geofile,N,'Loptions',Loptions,'verbose',iR.verbose);
  Th=fc_simesh.siMesh(meshfile,'isPhysLabel',false);
  Th.other.parameters=struct('N',N,'L',iR.L,'h',iR.h);

  if iR.renumbering
    a=iR.L/2;tol=iR.tol;
    fun=@(q) all(abs(q(1,:)-a)<tol) | all(abs(q(1,:)+a)<tol) | all(abs(q(2,:)-a)<tol) | all(abs(q(2,:)+a)<tol);
    d=1; % d-simplex
    idx=fc_simesh.methods_siMesh.find_elements_in(Th,d,fun);
    oldlabel=Th.sThphyslab(idx); newlabel=1;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,idx,newlabel,'set_pcolors',false);
    if iR.verbose,fprintf('%s: renumbering physical labels : %s   -> %d\n',mfilename(),num2str(oldlabel),newlabel);end

    fidx=Th.find_physicals(d);
    cidx=setdiff(fidx,idx);
    oldlabel=Th.sThphyslab(cidx); newlabel=2;
    Th=fc_simesh.methods_siMesh.set_physical_label(Th,d,cidx,2,'set_pcolors',false);
    if iR.verbose,fprintf('%s: renumbering physical labels : %s   -> %d\n',mfilename(),num2str(oldlabel),newlabel);end

    Th.set_pcolors(); % need to set new physical color to each sTh elements
  end
  if iR.delete
    if iR.verbose,fprintf('%s: delete mesh file :\n   -> %s\n',mfilename(),meshfile);end
    delete(meshfile)
  end
end
