function Th=mobius(N,varargin)
  p = inputParser; 
  p.addParamValue('k', 0 ); % 
  p.addParamValue('radius', 1 ); % Radius
  p.addParamValue('width', 1 ); % width
  p.parse(varargin{:});
  Res=p.Results;
  radius=Res.radius;width=Res.width;
  if numel(N)==1,N(2)=round(2*pi*radius/width*N(1));end
  % N=[Nwidth,Nradius]
  Th=fc_simesh.hypercube(2,N,'trans',@(q) [-width/2+width*q(1,:);pi*q(2,:)]);
  
  % https://mathworld.wolfram.com/MoebiusStrip.html
  % and https://fr.wikipedia.org/wiki/Ruban_de_M%C3%B6bius
  n=2*Res.k+1; % impair
  x=@(t,v) ((radius+t.*cos(n*v)).*cos(2*v)-t);
  y=@(t,v) ((radius+t.*cos(n*v)).*sin(2*v)-v);
  z=@(t,v) (t.*sin(n*v));

  X=Th.eval(x);
  Y=Th.eval(y);
  Z=Th.eval(z);

  Th.move({X,Y,Z},1:3)

  %Il faut dans tout les maillages élémentaires 
  % Le bord 3 et 4 sont confondus
  % On va supprimer les points du bord 4 dans le tableau q et remplacer tous les indices  dans les tableaux me:
  %     idx du bord 4 -> idx du bord 3
  idx3=Th.find(1,3);
  idx4=Th.find(1,4);
  toG4=Th.sTh{idx4}.toGlobal;
  toG3=Th.sTh{idx3}.toGlobal;

  I=1:Th.nq;
  toG3=flip(toG3);
  I(toG4)=toG3;

  i=Th.find(2);
  [~,JA]=setdiff(Th.sTh{i}.toGlobal,toG4);
  Th.sTh{i}.q=Th.sTh{i}.q(:,JA); % suppression des points communs
  nq=size(Th.sTh{i}.q,2);
  Th.sTh{i}.nq=nq;
  Th.sTh{i}.toGlobal=1:nq;
  Th.sTh{i}.nqGlobal=nq;
  Th.sTh{i}.toParents={1:nq};
  Th.sTh{i}.nqParents=nq;
  Th.sTh{i}.toParent=1:nq;
  Th.sTh{i}.nqParent=nq;
  Th.nq=nq;
  Th.toGlobal=1:nq;
  Th.toParent=1:nq;
  Th.nqParents=nq;
  Th.toParents={1:nq};
  %[c,IA,IB]=intersect(Th.sTh{i}.toGlobal,toG4);
  %Th.sTh{i}.toGlobal(IA)=toG3(IB);
  Th.sTh{i}.me=I(Th.sTh{i}.me);

  %
  [c,IA14,IB14]=intersect(Th.sTh{2}.toGlobal,toG4);
  [c,IA13,IB13]=intersect(Th.sTh{2}.toGlobal,toG3);
  [c,IA24,IB24]=intersect(Th.sTh{3}.toGlobal,toG4);
  [c,IA23,IB23]=intersect(Th.sTh{3}.toGlobal,toG3);

  Th.sTh{2}.toGlobal(IA14)=Th.sTh{3}.toGlobal(IA23);
  Th.sTh{3}.toGlobal(IA24)=Th.sTh{2}.toGlobal(IA13);
  for i=2:3
    Th.sTh{i}.nqGlobal=nq;
    Th.sTh{i}.toParents={Th.sTh{i}.toGlobal};
    Th.sTh{i}.nqParents=nq;
    Th.sTh{i}.toParent=Th.sTh{i}.toGlobal;
    Th.sTh{i}.nqParent=nq;
  end
  Th.remove(1,3:4);
  for i=1:3,  Th.sTh{i}.set_geometry();end
end
