function varargout=alldemos_MSH(MshFileVersion,varargin)
  % fc_siplt.demos.alldemos('force',true,'MSHFileVersion','4.0')   

  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('stop',true,@islogical);
  p.addParamValue('small',true,@islogical);
  p.addParamValue('save',false,@islogical);
  p.addParamValue('savedir','./figures',@ischar);
  p.addParamValue('pause',2,@isscalar);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin={varargin{:},'MshFileVersion',MshFileVersion,'force',true};
  SaveOptions={'format','png', 'dir',R.savedir,'tag',true,'verbose',true};

  List={'plotmesh2D','plotmesh3D','plotmesh3Ds', ...
        'plot2D','plot3D','plot3Ds', ...
        'plotiso2D','plotiso3D','plotiso3Ds', ...
        'slicemesh3D','slice3D','sliceiso3D', ...
        'plotquiver2D','plotquiver3D','plotquiver3Ds', ...
        'scatter2D','scatter3D','scatter3Ds'};
  if R.small,List={List{[1:3:length(List)]}};end         
  
  if ~exist(R.savedir,'dir') && R.save
    [success,message,messageid]=mkdir(R.savedir);
    if ~success,error(message);end
  end
            
  nL=length(List);
  valid=ones(1,nL);
  LTD=fc_tools.utils.line_text_delimiter();
  for i=1:nL
    command=sprintf('fc_siplt.demos.%s(varargin{:})',List{i});
    fprintf('[fc-siplt] %s',LTD)
    fprintf('[fc-siplt] Running %s\n',command)
    fprintf('[fc-siplt] %s',LTD)
    try 
      eval(command)
    catch ME
      valid(i)=0;
      if R.stop
        error('[fc-siplt] Stop! running %s FAILED!\n            -> file: %s (line %d):\n            -> %s\n',command,ME.stack(1).name,ME.stack(1).line,ME.message)
      else
        fprintf('[fc-siplt] Running %s FAILED!\n',command)
        fprintf('            -> file: %s (line %d):\n            -> %s\n',ME.stack(1).name,ME.stack(1).line,ME.message);
      end
    end
    if R.pause>0
      pause(R.pause)
    end
    if R.save
      fc_tools.graphics.SaveAllFigsAsFiles(List{i},SaveOptions{:})
    end
  end
  if nargout==1,varargout{1}=valid;end
end
