function varargout=plot3Ds(varargin)
  close all % :start:
  geofile=fc_simesh.get_geo(3,2,'demisphere5');
  meshfile=fc_oogmsh.buildmesh3ds(geofile,10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
  
  fc_tools.graphics.monitors.onGrid(2,2);
  figure(1)
  fc_siplt.plot(Th,u)
  axis off;axis image;colorbar;
  figure(2)
  fc_siplt.plot(Th,u,'labels',[1,11])
  hold on;axis off;axis image;colorbar;
  fc_siplt.plot(Th,u,'labels',[10,12], 'FaceColor','interp', 'EdgeColor','none')
  figure(3)
  fc_siplt.plot(Th,u,'d',1,'LineWidth',2)
  hold on;axis off;axis image;colorbar
  fc_siplt.plot(Th,u,'labels',[10,12], 'FaceColor','none', 'EdgeColor','interp')
  figure(4)
  fc_siplt.plot(Th,u,'FaceColor','none', 'EdgeColor','interp')
  axis off;axis image;colorbar; % :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=u;end
end
