function varargout=plotmesh3D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh3d('cylinder3holes',10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  fc_tools.graphics.monitors.onGrid(3,3,'figures',1:7);
  figure(1)
  fc_siplt.plotmesh(Th,'inlegend',true)
  axis image
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(2)
  fc_siplt.plotmesh(Th,'d',2,'inlegend',true);
  axis image;axis off
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(3)
  fc_siplt.plotmesh(Th,'d',1,'inlegend',true);
  axis image;axis off
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(4)
  fc_siplt.plotmesh(Th,'inlegend',true)
  hold on
  fc_siplt.plotmesh(Th,'d',1,'color','k');
  axis image
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(5)
  fc_siplt.plotmesh(Th,'d',2,'inlegend',true);
  axis image
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(6)
  fc_siplt.plotmesh(Th,'d',2,'edgecolor',0.8*[1 1 1],'facecolor','None','edgealpha',0.5)
  hold on;axis image
  fc_siplt.plotmesh(Th,'d',1,'inlegend',true);
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(7)
  P=[fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1]); fc_tools.graphics.PlaneCoefs([0 0 1],[-1 0 0])];
  fc_siplt.plotmesh(Th,'cutPlane',P,'Color','DarkGrey')
  hold on;axis image
  fc_siplt.plotmesh(Th,'d',2,'cutPlane',P,'inlegend',true);
  fc_graphics4mesh.legend('Location','eastoutside') % :end:
  if nargout==1,varargout{1}=Th;end
end
