function varargout=plotquiver2D(varargin)
  close all % :start:
  geofile=fc_simesh.get_geo(2,2,'condenser11');
  meshfile=fc_oogmsh.buildmesh2d(geofile,25,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  
  u=@(x,y) cos(pi*x.^2).*cos(pi*y.^2);
  U=Th.eval(u);
  w={@(x,y) y.*cos(-(x.^2+y.^2)/10),@(x,y) -x.*cos(-(x.^2+y.^2)/10)};
  W=Th.eval(w);
  fc_tools.graphics.monitors.onGrid(2,2);
  figure(1)
  fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
  hold on;axis off;axis image
  fc_siplt.plotquiver(Th,W)
  
  figure(2)
  fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
  hold on;axis off;axis image
  fc_siplt.plotquiver(Th,W,'LineWidth',2,'merge',false)
  
  figure(3)
  fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
  hold on;axis off;axis image
  fc_siplt.plotquiver(Th,W,'colordata',U,'labels',[2:2:8,20])
  caxis([min(U) max(U)])
  colormap('jet');colorbar
  
  figure(4)
  fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
  hold on;axis off;axis image
  fc_siplt.plotquiver(Th,W,'colordata',U, 'scale',0.2)
  colormap('jet');colorbar % :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout>=2,varargout{2}=W;end
  if nargout==3,varargout{3}=U;end
end

