function varargout=plotquiver3D(varargin)
  close all % :start:
  geofile=fc_oogmsh.get_geo(3,3,'cylinderkey');
  meshfile=fc_oogmsh.buildmesh3d(geofile,5,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  
  w={@(x,y,z) y.*cos(-(x.^2+y.^2)/10),@(x,y,z) -x.*cos(-(x.^2+y.^2)/10),@(x,y,z) z/5 };
  W=Th.eval(w);
  u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
  fc_tools.graphics.monitors.onGrid(1,2);
  figure(1)
  fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
  hold on
  fc_siplt.plotquiver(Th,W,'LineWidth',1)
  axis off;axis image
  
  figure(2)
  fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
  hold on
  fc_siplt.plotquiver(Th,W,'colordata',u, 'scale',0.05)
  axis off;axis image
  colormap('jet');colorbar % :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout>=2,varargout{2}=W;end
  if nargout==3,varargout{3}=u;end
end

