function varargout=scatter2D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh2d('condenser11',20,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=@(x,y) 0.3*cos(5*(2*x-y)).*sin(5*(x-2*y));
  U=Th.eval(u);

  fc_tools.graphics.monitors.onGrid(2,2,'figures',1:3);
  
  figure(1)
  fc_siplt.plotmesh(Th,'d',1,'color','LightGray')
  hold on
  fc_siplt.scatter(Th,U);
  axis image;axis off;
  colorbar

  figure(2)
  fc_siplt.plotmesh(Th,'d',1,'color','LightGray')
  hold on
  fc_siplt.scatter(Th,U,'MarkerSize',8);
  axis off;axis image
  colorbar
  
  figure(3)
  fc_siplt.plotmesh(Th,'d',1,'color','LightGray')
  hold on  % '*Alpha' options not yet implemented under Octave
  fc_siplt.scatter(Th,U,'d',1,'MarkerSize',12,'MarkerEdgeAlpha',0, 'MarkerFaceColor','flat','MarkerFaceAlpha',0.8)
  axis off;axis image
  colormap('jet')
  colorbar
  % :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=U;end
end
