function varargout=scatter3D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh3d('cylinder3holes',20,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=@(x,y,z) cos(2*x-y-z).*sin(x-2*y+z);
  U=Th.eval(u);

  fc_tools.graphics.monitors.onGrid(2,2,'figures',1:3);
  
  figure(1)
  fc_siplt.plotmesh(Th,'d',1,'color','k')
  hold on
  fc_siplt.scatter(Th,U,'MarkerEdgeAlpha',0.1);
  axis image;axis off;view(3)
  colorbar

  figure(2)
  fc_siplt.plotmesh(Th,'d',1,'color','k')
  hold on
  fc_siplt.scatter(Th,U,'d',2);
  axis image;axis off;view(3)
  colorbar

  figure(3)
  fc_siplt.scatter(Th,U,'d',1);
  axis image;axis off;view(3)
  colormap('jet')
  colorbar
  % :end:
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=U;end
end


