function varargout=slice3D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.buildmesh3d('cylinder3holes',10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);

  u=@(x,y,z) cos(2*x-y-z).*sin(x-2*y+z);
  U=Th.eval(u);
  
  figure(1)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  fc_siplt.slice(Th,U,P)
  hold on
  fc_siplt.plotmesh(Th,'d',1,'color','k')
  axis equal
  view(-11,15)
  
  P=[fc_tools.graphics.PlaneCoefs([0 0 1/2],[1 0 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1/2],[0 1 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1])];
  figure(2)
  fc_siplt.slice(Th,U,P)
  hold on
  fc_siplt.plotmesh(Th,'d',1,'color','k')
  axis equal
  view(-11,15) % :end:
  
  if nargout>=1,varargout{1}=Th;end
  if nargout==2,varargout{2}=U;end
end
