function plotmeshinfo(Th,varargin)
  assert( fc_simesh.is_siMesh(Th) )
  assert(Th.dim<=3)
  eval(sprintf('plotmeshinfo_dim%d_d%d(Th,varargin{:})',Th.dim,Th.d))
end

function plotmeshinfo_dim2_d2(Th,varargin)
  ip = inputParser();
  ip.KeepUnmatched=true;
  ip.addParameter('physicals',false,@islogical);
  ip.parse(varargin{:});
  iR=ip.Results;
  %varargin=fc_tools.utils.deleteCellOptions(varargin,ip.Parameters);
  inlegend=true;
  figure()
  %inlegend=( length(Th.find(2))<=49 );
  Th.plotmesh('inlegend',inlegend);
  axis image
  if inlegend
    fc_graphics4mesh.legend('Location','eastoutside');
  else
    title(sprintf('%d-simplices, geometric labels',2))
  end
  figure()
  Th.plotmesh('color','LightGray')
  hold on;axis image;axis off
  %inlegend=( length(Th.find(1))<=49 );
  Th.plotmesh('d',1,'Linewidth',2,'inlegend',inlegend);
  if inlegend
    fc_graphics4mesh.legend('Location','eastoutside');
  else
    title(sprintf('%d-simplices, geometric labels',1))
  end
  if iR.physicals
    idx=Th.find_physicals(1);
    if ~isempty(idx)
   %   inlegend=( length(idx)<=49 );
      figure()
      Th.plotmesh_physicals('d',1,'linewidth',2,'inlegend',inlegend);
      axis image
      if inlegend
        fc_graphics4mesh.legend('Location','eastoutside');
      else
        title(sprintf('%d-simplices, physical labels',1))
      end
    end
    idx=Th.find_physicals(2);
    if ~isempty(idx)
    %  inlegend=( length(idx)<=49 );
      figure()
      Th.plotmesh_physicals('d',2,'inlegend',inlegend);
      axis image
      if inlegend
        fc_graphics4mesh.legend('Location','eastoutside');
      else
        title(sprintf('%d-simplices, physical labels',2))
      end
    end
  end
end

function plotmeshinfo_dim3_d2(Th,varargin)
  figure()
  Th.plotmesh('inlegend',true);
  axis image
  fc_graphics4mesh.legend('Location','eastoutside')
  
  figure()
  Th.plotmesh('color','LightGray')
  hold on;axis image;axis off
  Th.plotmesh('d',1,'Linewidth',2,'inlegend',true);
  fc_graphics4mesh.legend('Location','eastoutside')
end

function plotmeshinfo_dim3_d3(Th,varargin)
  figure()
  Th.plotmesh('inlegend',true)
  axis image
  fc_graphics4mesh.legend('Location','EastOutside')

  figure()
  Th.plotmesh('d',2,'inlegend',true);
  axis image;axis off
  fc_graphics4mesh.legend('Location','EastOutside')

  figure()
  Th.plotmesh('d',1,'inlegend',true);
  axis image;axis off
  fc_graphics4mesh.legend('Location','EastOutside')
end

