function plotquiver(Th,V,varargin)
  assert(fc_simesh.is_siMesh(Th))
  %FC : To improve
  p = inputParser;
  p.KeepUnmatched=true; 
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('d',Th.d,@isscalar); 
  %p.addParamValue('freq',1,@isscalar); % plot frequence
  p.addParamValue('color',[]);
  p.addParamValue('colordata',[]);
  p.addParamValue('merge',true,@islogical);
  p.addParamValue('inlegend',false,@islogical);
  p.addParamValue('labName',[]); % function for string legend label name
  p.addParamValue('scale',0,@isscalar); % global scale
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin=fc_tools.graphics.CheckAlpha(varargin,'fc-siplt',mfilename());
  if isempty(R.labels), idxlab=Th.find(R.d);else idxlab=Th.find(R.d,R.labels);end
  if isempty(idxlab), return;end
  if isempty(R.colordata), colordata=[];else colordata=Th.eval(R.colordata);end
  if R.scale<=0
    hCL=Th.get_cl();
    R.scale=fc_graphics4mesh.getScaleQuiver(hCL,V,Th.dim,Th.nq);
  end
  varargin={varargin{:},'scale',R.scale};
  if isempty(R.labName), labName=funLabName(Th,R.d); else labName=R.labName;end
  if iscell(V)
    Vfun=@(V,I) cellfun(@(x) x(I),V,'UniformOutput',false);
  else
    Vfun=@(V,I) V(I,:);
  end
  hfig=gcf();
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  if ~PrevHold, clf;hold on;end
  if R.merge
    [q,me,toGlobal]=Th.get_mesh('d',R.d,'labels',R.labels);
    if isempty(R.colordata)
      fc_graphics4mesh.plotquiver(q,me,Vfun(V,toGlobal),varargin{:});
    else
      fc_graphics4mesh.plotquiver(q,me,Vfun(V,toGlobal),'colordata',colordata(toGlobal),varargin{:});
    end
  else
    i=1;
    for ilab=[idxlab]
      sTh=Th.sTh{ilab};
      if isempty(R.colordata)
        Option={};
        if isempty(R.color)
          Option={'color',sTh.color};
          if R.inlegend, Option={Option{:},'DisplayName',labName(sTh.label)};end
        end
        fc_graphics4mesh.plotquiver(sTh.q,sTh.me,Vfun(V,sTh.toParents{end}),Option{:},varargin{:});
      else
        fc_graphics4mesh.plotquiver(sTh.q,sTh.me,Vfun(V,sTh.toParents{end}),'colordata',colordata(sTh.toParents{end}),varargin{:});
      end
      i=i+1;
    end
  end
  
  fc_tools.graphics.RestoreHold(PrevHold)
  %figure(hfig); %-> si figure a 'visible','off' alors la rend visible
end
