function varargout=scatter(Th,u,varargin)
%    Copyright (C) 2017-2023 F. Cuvelier
  assert(fc_simesh.is_siMesh(Th))
  %assert(Th.d==3 && Th.dim==3);
  U=Th.eval(u); % also verifies dimensions...
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',Th.d,@isscalar); 
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('merge',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin=fc_tools.graphics.CheckAlpha(varargin,'fc-siplt',mfilename());
  if isempty(R.labels), idxlab=Th.find(R.d);else idxlab=Th.find(R.d,R.labels);end
  if isempty(idxlab), return;end
  hfig=gcf();
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  if ~PrevHold, clf;hold on;end
  if R.merge
    [q,me,toGlobal]=Th.get_mesh('d',R.d,'labels',R.labels);
    H=fc_graphics4mesh.scatter(q,U(toGlobal),varargin{:});
  else
    i=1;
    for ilab=[idxlab]
      sTh=Th.sTh{ilab};
      H{i}=fc_graphics4mesh.scatter(sTh.q,sTh.getLocalData(u),varargin{:});
      i=i+1;
    end
  end
  fc_tools.graphics.RestoreHold(PrevHold)
  if nargout==1,varargout{1}=H;end
  %figure(hfig); %-> si figure a 'visible','off' alors la rend visible
end
