function varargout=val2rgb(val,varargin)
  assert( isnumeric(val) || ischar(val) );
  themes=fc_tools.graphics.xcolor.get_themes();
  p = inputParser; 
  p.addParamValue('theme','',@(x) isempty(x) | ismember(x,themes));
  p.addParamValue('check',true,@islogical);
  p.parse(varargin{:});
  theme=p.Results.theme;
  all=isempty(theme);
  rgb=[];
  if isnumeric(val)
    assert(sum(size(val)==[1,3])==2);
    varargout{1}=val;
    if nargout==2,varargout{2}='';end
    return;
  end
  name=char(val);
  if strcmp(upper(name),'NONE')
    rgb='None';
    varargout{1}=rgb;
    if nargout==2,varargout{2}='';end
    return
  end
  if strcmp(upper(name),'INTERP')
    rgb='interp';
    varargout{1}=rgb;
    if nargout==2,varargout{2}='';end
    return
  end
  if strcmp(upper(name),'FLAT')
    rgb='flat';
    varargout{1}=rgb;
    if nargout==2,varargout{2}='';end
    return
  end
  if all
    for i=1:length(themes)
      rgb=str2rgb_theme(themes{i},name);
      if ~isempty(rgb)
        varargout{1}=rgb;
        if nargout==2,varargout{2}=themes{i};end
        return;
      end
    end
  else
    rgb=str2rgb_theme(theme,name);
    varargout{1}=rgb;
    if nargout==2,varargout{2}=theme;end
  end
  if p.Results.check
    assert(~isempty(rgb),'unknow color %s',name);
  end
  if isempty(rgb)
    rgb=val;
    varargout{1}=rgb;
    if nargout==2,varargout{2}='';end
  end % ex val = 'interp', 'none' (for EdgeColor, FaceColor)
end



function rgb=str2rgb_theme(theme,name)
  [names,rgbs]=eval(sprintf('fc_tools.graphics.xcolor.%s()',theme));
  idx = find(ismember(upper(names), upper(name)));
  if isempty(idx)
    rgb=[];
  else
    rgb=rgbs(idx,:);
  end
end
